> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject Bol

> Reject BOL.
Requires manager role (permission check on user)
Body: { comment?: string }
Changes status: Under Review → Draft
Records approval history with action=reject + comment
Returns updated version



## OpenAPI

````yaml /api/openapi-cutmake.json post /bol/{bol_id}/reject
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /bol/{bol_id}/reject:
    post:
      tags:
        - BOL
      summary: Reject Bol
      description: |-
        Reject BOL.
        Requires manager role (permission check on user)
        Body: { comment?: string }
        Changes status: Under Review → Draft
        Records approval history with action=reject + comment
        Returns updated version
      operationId: reject_bol_bol__bol_id__reject_post
      parameters:
        - name: bol_id
          in: path
          required: true
          schema:
            type: string
            title: Bol Id
        - name: X-User-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-User-Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RejectBOLInput'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    RejectBOLInput:
      properties:
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
      type: object
      title: RejectBOLInput
      description: Payload for BOL rejection.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````